Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

What firmware should I have on my controller

Discussion in 'Pro/Adv Discussion' started by Tom O'Brien, Aug 9, 2016.

  1. Tom O'Brien

    Joined:
    Jul 1, 2016
    Messages:
    5
    Likes Received:
    0
    My app is Version 2.8.6
    The Aircraft is Version 1.9.60
    The remote controller is Version 1.6.0

    Is this correct or should the Controller and the Aircraft be the same.
     
  2. William Klezevski

    Joined:
    May 21, 2016
    Messages:
    3
    Likes Received:
    0
    Location:
    Cabo Frio - Rio de Janeiro
    This is correct.
     
  3. RedHotPoker

    Joined:
    May 3, 2015
    Messages:
    3,972
    Likes Received:
    1,365
    Location:
    Edmonton Alberta
    They are not the same, and likely never will, be.
    But more importantly, you're up to date, & very current. ;-)


    RedHotPoker
     
  4. MisterDavo

    Joined:
    Jul 14, 2016
    Messages:
    8
    Likes Received:
    0
    How can you tell if the RC firmware version is 'OK' with the aircraft version?
    My aircraft version is the latest. Upgraded perfectly. I updated the Controller via the Go App and it says it upgraded successfully to 1.6.0 and to reboot. I do that and it says the version on the controller is unknown and I still get the warning to upgrade the controller. i've done it 3 times now.

    Here's the real question: The RC connects just fine to the aircraft - video signal, all looks fine, so I'm fairly convinced the upgrade on the controller is in fact good it's just not reporting it.

    But... I'm scared to fly... I phoned DJI for help twice and they were USELESS. Utterly useless.